%define module_name Perl6-Build
# BEGIN SourceDeps(oneline):
BuildRequires: perl(File/Which.pm) perl(File/pushd.pm) perl(HTTP/Tinyish.pm) perl(IPC/Run3.pm) perl(Module/Build/Tiny.pm) perl(Pod/Usage.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.100
Release: alt1
Summary: build rakudo Perl6
Group: Development/Perl
License: perl
URL: https://github.com/skaji/perl6-build

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SK/SKAJI/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Perl6::Build builds rakudo Perl6.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/P*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
* Sun May 12 2019 Igor Vlasenko <viy@altlinux.ru> 0.100-alt1
- updated by package builder

* Tue Oct 02 2018 Igor Vlasenko <viy@altlinux.ru> 0.002-alt1
- initial import by package builder

